import { formLayout } from '@/utils/formLayout';
import { ProForm, ProFormText } from '@ant-design/pro-components';
import { Col, Row, Space } from 'antd';

export default function WxMaSubscribeMessageConfig() {
	return (
		<ProForm
			{...formLayout()}
			onFinish={async (values) => {
				console.log('submit', values);
			}}
			submitter={{
				render: (_, dom) => {
					return (
						<Row>
							<Col span={14} offset={4}>
								<Space>{dom}</Space>
							</Col>
						</Row>
					);
				},
			}}
		>
			<ProFormText
				name="name"
				label="断路器异常提醒"
				placeholder={'请输入断路器异常提醒模板ID'}
			/>
			<ProFormText
				name="name"
				label="断路器开关提醒"
				placeholder={'请输入断路器开关提醒模板ID'}
			/>
		</ProForm>
	);
}
